/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IButtonToggleGroupAdapter } from './button-toggle-group-adapter';
import { IButtonToggleOption } from './button-toggle-group-constants';
export interface IButtonToggleGroupFoundation extends ICustomElementFoundation {
    value: any;
    multiple: boolean;
    stretch: boolean;
    mandatory: boolean;
    vertical: boolean;
    dense: boolean;
    disabled: boolean;
    options: IButtonToggleOption[];
}
export declare class ButtonToggleGroupFoundation implements IButtonToggleGroupFoundation {
    private _adapter;
    private _isInitialized;
    private _multiple;
    private _mandatory;
    private _vertical;
    private _stretch;
    private _dense;
    private _disabled;
    private _options;
    private _values;
    private _originalValue;
    private _selectListener;
    private _slotListener;
    constructor(_adapter: IButtonToggleGroupAdapter);
    initialize(): void;
    disconnect(): void;
    private _synchronize;
    private _onSelect;
    private _getValue;
    private _applyValue;
    private _applyOptions;
    get value(): any;
    set value(value: any);
    get multiple(): boolean;
    set multiple(value: boolean);
    get mandatory(): boolean;
    set mandatory(value: boolean);
    get vertical(): boolean;
    set vertical(value: boolean);
    get stretch(): boolean;
    set stretch(value: boolean);
    get dense(): boolean;
    set dense(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get options(): IButtonToggleOption[];
    set options(value: IButtonToggleOption[]);
}
